summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_net_registry_roundtrip.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_net_registry_roundtrip.sh')
-rwxr-xr-xsource3/script/tests/test_net_registry_roundtrip.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/source3/script/tests/test_net_registry_roundtrip.sh b/source3/script/tests/test_net_registry_roundtrip.sh
index 88919ec93c..52ce192af4 100755
--- a/source3/script/tests/test_net_registry_roundtrip.sh
+++ b/source3/script/tests/test_net_registry_roundtrip.sh
@@ -5,6 +5,17 @@
# Copyright (C) 2010 Gregor Beck <gbeck@sernet.de>
# Copyright (C) 2011 Michael Adam <obnox@samba.org>
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_net_registry_roundtrip.sh SCRIPTDIR SERVERCONFFILE CONFIGURATION
+EOF
+exit 1;
+fi
+
+SCRIPTDIR="$1"
+SERVERCONFFILE="$2"
+CONFIGURATION="$3"
+
NET="$VALGRIND ${NET:-$BINDIR/net} $CONFIGURATION"